ace-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Erg├╝der Bekrek <e...@erguder.tk>
Subject Apache ACE without Felix instead Equinox
Date Wed, 08 Jul 2015 10:11:23 GMT

  I was checking the source code and I've copied/pasted thefelix.bnd as
  equinox.bnd


  and replaced some options in the .bnd file... # The Jar Main-Class
  header Main-Class: org.apache.ace.agent.launcher.Launcher
  Bundle-Version: 1.0.1 Bundle-Name: Apache ACE Agent Felix launcher


  Bundle-Description: Standalone launcher that start a Felix
  frameworkwith an embedded ACE Agent


  # Include the felix defaults #felix.version=4.2.1
  equinox.version=3.10.1.v20140909-1633


  Include-Resource:@${repo;org.eclipse.osgi;${equinox.version}}!/default.properties,\


  @${repo;org.eclipse.osgi;${equinox.version}}!/META-INF/services/*,\
  @${repo;org.eclipse.osgi;${equinox.version}}!/org/*,\
  ${repo;org.apache.ace.agent;latest},\
  META-INF/services/org.apache.ace.agent.launcher.BundleProvider=resources/org.apache.ace.agent.launcher.BundleProvider
  Private-Package: org.apache.ace.agent.launcher,\
  org.apache.commons.cli but when I build it gives me an error such as :
  [echo] Enter project org.apache.ace.agent init: dependencies: compile:
  build: compile: build: [bnd] 4 ERRORS


  [bnd] org.apache.ace.agent.launcher:${repo} macro refers to anartifact
  org.eclipse.osgi-3.10.1.v20140909-1633 (HIGHEST) that has anerror:
  org.eclipse.osgi;version=3.10.1.v20140909-1633 Not foundbecause latest
  was not specified. It is, however, present in theworkspace. Add
  'org.eclipse.osgi;version=(latest|snapshot)' to see thebundle in the
  workspace.[bnd]org.apache.ace.agent.launcher:org.apache.ace.agent.launcher.equinox:Can
  not find JAR file
  !/default.properties[bnd]org.apache.ace.agent.launcher:org.apache.ace.agent.launcher.equinox:Can
  not find JAR file
  !/META-INF/services/*[bnd]org.apache.ace.agent.launcher:org.apache.ace.agent.launcher.equinox:Can
  not find JAR file !/org/*


  I don't know what to do from now on ....


  Honestly it will be really amazing if a launcher with Equinox is
  alsoavailable for newbies like me who are not deep into the source code


  of ACE. Best regards


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message